Get import status
curl --request GET \
--url https://api.importly.io/import/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.importly.io/import/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.importly.io/import/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"jobId": "a824760e-ece1-4415-8838-ce2a7785ea6b",
"status": "completed",
"result": {
"mediaUrl": "https://fly.storage.tigris.dev/cdn-storage/imports/a824760e-ece1-4415-8838-ce2a7785ea6b/Me%20at%20the%20zoo.mp3?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=604800&X-Amz-Signature=…",
"title": "Me at the zoo",
"duration": 19,
"thumbnailUrl": "https://i.ytimg.com/vi/jNQXAC9IVRw/hqdefault.jpg",
"filename": "Me at the zoo.mp3",
"fileSizeBytes": 120621,
"downloadedBytes": 252182,
"costInDollars": 0.03
},
"startedAt": "2026-11-16T14:36:05.491+00:00",
"completedAt": "2026-11-16T14:37:36.956+00:00"
}
}Media
Get import status
Poll an import job until it’s completed or failed. Completed jobs carry the download link, file details, and cost.
GET
/
import
/
status
Get import status
curl --request GET \
--url https://api.importly.io/import/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.importly.io/import/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.importly.io/import/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"jobId": "a824760e-ece1-4415-8838-ce2a7785ea6b",
"status": "completed",
"result": {
"mediaUrl": "https://fly.storage.tigris.dev/cdn-storage/imports/a824760e-ece1-4415-8838-ce2a7785ea6b/Me%20at%20the%20zoo.mp3?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Expires=604800&X-Amz-Signature=…",
"title": "Me at the zoo",
"duration": 19,
"thumbnailUrl": "https://i.ytimg.com/vi/jNQXAC9IVRw/hqdefault.jpg",
"filename": "Me at the zoo.mp3",
"fileSizeBytes": 120621,
"downloadedBytes": 252182,
"costInDollars": 0.03
},
"startedAt": "2026-11-16T14:36:05.491+00:00",
"completedAt": "2026-11-16T14:37:36.956+00:00"
}
}